> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/partner-groups/partner-groups.md).

# Partner Groups

## List all partner groups

> Returns a list of all partner groups associated with the specified campaign.

```json
{"openapi":"3.1.0","info":{"title":"Brand Partner Groups API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"PartnerGroup":{"type":"object","properties":{"Id":{"type":"string","description":"The unique identifier for the partner group."},"Name":{"type":"string","description":"The partner group's name. Only visible to you and other account members, not visible to partners."},"MediaPartners":{"type":"array","description":"The partners belonging to this group.","items":{"type":"object","properties":{"PartnerId":{"type":"string","description":"The unique identifier of the partner."},"PartnerName":{"type":"string","description":"The display name of the partner."},"PartnerUri":{"type":"string","format":"uri-reference","description":"The unique reference to the partner in the impact.com API."}}}},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this partner group in the impact.com API."}}}}},"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/MediaPartnerGroups":{"get":{"operationId":"listPartnerGroups","tags":["Partner Groups"],"summary":"List all partner groups","description":"Returns a list of all partner groups associated with the specified campaign.","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"CampaignId","in":"path","required":true,"description":"The ID of the campaign to retrieve partner groups from.","schema":{"type":"integer"}}],"responses":{"200":{"description":"A list of partner group objects.","content":{"application/json":{"schema":{"type":"object","properties":{"Groups":{"type":"array","description":"The list of partner group objects.","items":{"$ref":"#/components/schemas/PartnerGroup"}}}}}}}}}}}}
```

## Create a partner group

> Creates a new private partner group for organizing partners.

```json
{"openapi":"3.1.0","info":{"title":"Brand Partner Groups API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"PartnerGroupStatusResponse":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the operation was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the affected partner group."}}}}},"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/MediaPartnerGroups":{"post":{"operationId":"createPartnerGroup","tags":["Partner Groups"],"summary":"Create a partner group","description":"Creates a new private partner group for organizing partners.","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"CampaignId","in":"path","required":true,"description":"The ID of the campaign to create the group in.","schema":{"type":"integer"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","required":["Name"],"properties":{"Name":{"type":"string","description":"The display name for the partner group."},"MediaPartners":{"type":"string","description":"Comma-separated list of MediaPartnerId values to add."}}}}}},"responses":{"200":{"description":"The partner group was created successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerGroupStatusResponse"}}}}}}}}}
```

## GET /Advertisers/{AccountSID}/Campaigns/{CampaignId}/MediaPartnerGroups/{PartnerGroupId}

> Retrieve a partner group

```json
{"openapi":"3.1.0","info":{"title":"Brand Partner Groups API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"PartnerGroup":{"type":"object","properties":{"Id":{"type":"string","description":"The unique identifier for the partner group."},"Name":{"type":"string","description":"The partner group's name. Only visible to you and other account members, not visible to partners."},"MediaPartners":{"type":"array","description":"The partners belonging to this group.","items":{"type":"object","properties":{"PartnerId":{"type":"string","description":"The unique identifier of the partner."},"PartnerName":{"type":"string","description":"The display name of the partner."},"PartnerUri":{"type":"string","format":"uri-reference","description":"The unique reference to the partner in the impact.com API."}}}},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this partner group in the impact.com API."}}}}},"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/MediaPartnerGroups/{PartnerGroupId}":{"get":{"operationId":"getPartnerGroup","tags":["Partner Groups"],"summary":"Retrieve a partner group","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"CampaignId","in":"path","required":true,"description":"The ID of the campaign the group belongs to.","schema":{"type":"integer"}},{"name":"PartnerGroupId","in":"path","required":true,"description":"The unique identifier for the partner group.","schema":{"type":"integer"}}],"responses":{"200":{"description":"A single partner group object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerGroup"}}}}}}}}}
```

## Update a partner group

> Update group metadata or modify membership by adding or removing partners.

```json
{"openapi":"3.1.0","info":{"title":"Brand Partner Groups API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"PartnerGroupStatusResponse":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the operation was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the affected partner group."}}}}},"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/MediaPartnerGroups/{PartnerGroupId}":{"put":{"operationId":"updatePartnerGroup","tags":["Partner Groups"],"summary":"Update a partner group","description":"Update group metadata or modify membership by adding or removing partners.","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"CampaignId","in":"path","required":true,"description":"The ID of the campaign the group belongs to.","schema":{"type":"integer"}},{"name":"PartnerGroupId","in":"path","required":true,"description":"The unique identifier for the partner group to update.","schema":{"type":"integer"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"Name":{"type":"string","description":"New name for the partner group."},"MediaPartnersAdd":{"type":"string","description":"Comma-separated list of partner IDs to add."},"MediaPartnersRemove":{"type":"string","description":"Comma-separated list of partner IDs to remove."}}}}}},"responses":{"200":{"description":"The partner group was updated successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerGroupStatusResponse"}}}}}}}}}
```

## DELETE /Advertisers/{AccountSID}/Campaigns/{CampaignId}/MediaPartnerGroups/{PartnerGroupId}

> Delete a partner group

```json
{"openapi":"3.1.0","info":{"title":"Brand Partner Groups API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}}},"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/MediaPartnerGroups/{PartnerGroupId}":{"delete":{"operationId":"deletePartnerGroup","tags":["Partner Groups"],"summary":"Delete a partner group","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"CampaignId","in":"path","required":true,"description":"The ID of the campaign the group belongs to.","schema":{"type":"integer"}},{"name":"PartnerGroupId","in":"path","required":true,"description":"The unique identifier for the partner group to delete.","schema":{"type":"integer"}}],"responses":{"200":{"description":"The partner group was deleted successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates that the partner group was deleted."}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/partner-groups/partner-groups.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
